Bug 1428255 - jboss-jsf-2.1-api: FTBFS in EPEL 7
Summary: jboss-jsf-2.1-api: FTBFS in EPEL 7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: jboss-jsf-2.1-api
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Fedora Extras Quality Assurance
URL: http://apps.fedoraproject.org/koschei...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-02 07:04 UTC by gil cattaneo
Modified: 2017-05-30 16:54 UTC (History)
1 user (show)

Fixed In Version: jboss-jsf-2.1-api-2.0.2-13.1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-30 16:54:10 UTC
Type: Bug


Attachments (Terms of Use)

Description gil cattaneo 2017-03-02 07:04:09 UTC
Description of problem:
Package jboss-jsf-2.1-api fails to build from source in EPEL 7.

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-javadoc-plugin:2.9:aggregate (default-cli) on project jboss-jsf-api_2.1_spec: An error has occurred in JavaDocs report generation:
[ERROR] Exit code: 1 - /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/FacesWrapper.java:58: warning: no @return
[ERROR] public T getWrapped();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/FactoryFinder.java:333: warning: no @return
[ERROR] public static Object getFactory(String factoryName)
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/FactoryFinder.java:352: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/FactoryFinder.java:352: warning: empty <p> tag
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/FactoryFinder.java:356: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/FactoryFinder.java:356: warning: empty <p> tag
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/FactoryFinder.java:365: warning: no @param for factoryName
[ERROR] public static void setFactory(String factoryName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/FactoryFinder.java:365: warning: no @param for implName
[ERROR] public static void setFactory(String factoryName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/FacesBehaviorRenderer.java:109: warning: no @return
[ERROR] String renderKitId() default RenderKitFactory.HTML_BASIC_RENDER_KIT;
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/FacesRenderer.java:132: warning: no @return
[ERROR] String componentFamily();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/FacesRenderer.java:120: warning: no @return
[ERROR] String rendererType();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/FacesRenderer.java:108: warning: no @return
[ERROR] String renderKitId() default RenderKitFactory.HTML_BASIC_RENDER_KIT;
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/Renderer.java:209: warning: no @return
[ERROR] public String convertClientId(FacesContext context, String clientId) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/Renderer.java:224: warning: no @return
[ERROR] public boolean getRendersChildren() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/Renderer.java:247: warning: no @return
[ERROR] public Object getConvertedValue(FacesContext context,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/RenderKit.java:118: warning: no @return
[ERROR] public abstract Renderer getRenderer(String family, String rendererType);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/RenderKit.java:125: warning: no @return
[ERROR] public abstract ResponseStateManager getResponseStateManager();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/RenderKit.java:186: warning: no @param for out
[ERROR] public abstract ResponseStream createResponseStream(OutputStream out);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/RenderKit.java:186: warning: no @return
[ERROR] public abstract ResponseStream createResponseStream(OutputStream out);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/RenderKit.java:202: warning: no @return
[ERROR] public Iterator<String> getComponentFamilies() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/RenderKit.java:227: warning: no @return
[ERROR] public Iterator<String> getRendererTypes(String componentFamily) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/RenderKit.java:266: warning: no @return
[ERROR] public ClientBehaviorRenderer getClientBehaviorRenderer(String type) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/RenderKit.java:276: warning: no @return
[ERROR] public Iterator<String> getClientBehaviorRendererTypes() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/RenderKitFactory.java:125: warning: no @return
[ERROR] public abstract RenderKit getRenderKit(FacesContext context,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/RenderKitFactory.java:135: warning: no @return
[ERROR] public abstract Iterator<String> getRenderKitIds();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/ResponseStateManager.java:212: warning: no @throws for java.io.IOException
[ERROR] public void writeState(FacesContext context,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/ResponseStateManager.java:267: warning: no @return
[ERROR] public Object getTreeStructureToRestore(FacesContext context,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/ResponseStateManager.java:284: warning: no @return
[ERROR] public Object getComponentStateToRestore(FacesContext context) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/ResponseStateManager.java:314: warning: no @param for context
[ERROR] public boolean isPostback(FacesContext context) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/render/ResponseStateManager.java:314: warning: no @return
[ERROR] public boolean isPostback(FacesContext context) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/ActionSource.java:84: warning: no @return
[ERROR] public MethodBinding getAction();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/ActionSource.java:128: warning: no @return
[ERROR] public MethodBinding getActionListener();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/ActionSource.java:158: warning: no @return
[ERROR] public boolean isImmediate();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/ActionSource.java:189: warning: no @return
[ERROR] public abstract ActionListener[] getActionListeners();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/ActionSource2.java:80: warning: no @return
[ERROR] public MethodExpression getActionExpression();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/EditableValueHolder.java:71: warning: no @return
[ERROR] public Object getSubmittedValue();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/EditableValueHolder.java:102: warning: no @return
[ERROR] public boolean isLocalValueSet();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/EditableValueHolder.java:107: warning: no @param for localValueSet
[ERROR] public void setLocalValueSet(boolean localValueSet);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/EditableValueHolder.java:115: warning: no @return
[ERROR] public boolean isValid();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/EditableValueHolder.java:130: warning: no @return
[ERROR] public boolean isRequired();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/EditableValueHolder.java:142: warning: no @return
[ERROR] public boolean isImmediate();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/EditableValueHolder.java:170: warning: no @return
[ERROR] public MethodBinding getValidator();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/EditableValueHolder.java:207: warning: no @return
[ERROR] public MethodBinding getValueChangeListener();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/EditableValueHolder.java:251: warning: no @return
[ERROR] public Validator[] getValidators();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/EditableValueHolder.java:278: warning: no @return
[ERROR] public ValueChangeListener[] getValueChangeListeners();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/ValueHolder.java:65: warning: no @return
[ERROR] public Object getLocalValue();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/ValueHolder.java:83: warning: no @return
[ERROR] public Object getValue();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/ValueHolder.java:98: warning: no @return
[ERROR] public Converter getConverter();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/FacesComponent.java:81: warning: no @return
[ERROR] String value();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/PartialStateHolder.java:77: warning: no @return
[ERROR] boolean initialStateMarked();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/StateHolder.java:66: warning: empty <p> tag
[ERROR] * <code>Serializable</code> Object.<p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/StateHolder.java:79: error: block element not allowed within inline element <code>: pre
[ERROR] * <code><pre>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/StateHolder.java:91: warning: no @param for context
[ERROR] public Object saveState(FacesContext context);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/StateHolder.java:91: warning: no @return
[ERROR] public Object saveState(FacesContext context);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/StateHolder.java:95: error: unknown tag: state
[ERROR] * <p><span class="changed_modified_2_0_rev_a">Perform</state> any
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/StateHolder.java:95: error: end tag missing: </span>
[ERROR] * <p><span class="changed_modified_2_0_rev_a">Perform</state> any
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/StateHolder.java:111: warning: no @param for context
[ERROR] public void restoreState(FacesContext context, Object state);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/StateHolder.java:111: warning: no @param for state
[ERROR] public void restoreState(FacesContext context, Object state);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/StateHolder.java:119: warning: no @return
[ERROR] public boolean isTransient();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/StateHelper.java:68: warning: no @return
[ERROR] Object put(Serializable key, Object value);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/StateHelper.java:77: warning: no @return
[ERROR] Object remove(Serializable key);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/StateHelper.java:101: warning: no @return
[ERROR] Object put(Serializable key, String mapKey, Object value);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/StateHelper.java:110: warning: no @return
[ERROR] Object get(Serializable key);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/StateHelper.java:123: warning: no @return
[ERROR] Object eval(Serializable key);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/StateHelper.java:136: warning: no @return
[ERROR] Object eval(Serializable key, Object defaultValue);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/StateHelper.java:169: warning: no @return
[ERROR] Object remove(Serializable key, Object valueOrKey);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/TransientStateHelper.java:70: warning: no @return
[ERROR] public Object getTransient(Object key);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/TransientStateHelper.java:82: warning: no @return
[ERROR] public Object getTransient(Object key, Object defaultValue);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/TransientStateHelper.java:94: warning: no @return
[ERROR] public Object putTransient(Object key, Object value);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/TransientStateHolder.java:70: warning: no description for @param
[ERROR] * @param context
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/TransientStateHolder.java:84: warning: no description for @param
[ERROR] * @param context
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIColumn.java:96: warning: no @return
[ERROR] public UIComponent getFooter() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIColumn.java:123: warning: no @return
[ERROR] public UIComponent getHeader() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponentBase.java:906: error: tag not allowed here: <p>
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponentBase.java:910: error: tag not allowed here: <p>
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponentBase.java:1038: error: unexpected text
[ERROR] * @throws <code>NullPointerException</code> if any of the
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponentBase.java:1094: error: unexpected text
[ERROR] * @throws <code>NullPointerException</code> if any of the
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponentBase.java:1620: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponentBase.java:1620: warning: empty <p> tag
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponentBase.java:1638: warning: no @return
[ERROR] public static Object saveAttachedState(FacesContext context,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponentBase.java:1710: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponentBase.java:1710: warning: empty <p> tag
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponentBase.java:1722: warning: no @return
[ERROR] public static Object restoreAttachedState(FacesContext context,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponentBase.java:1999: warning: no @return
[ERROR] public Collection<String> getEventNames() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponentBase.java:2025: warning: no @return
[ERROR] public Map<String, List<ClientBehavior>> getClientBehaviors() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponentBase.java:2047: warning: no @return
[ERROR] public String getDefaultEventName() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:298: warning: no @return
[ERROR] public abstract Map<String, Object> getAttributes();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:321: warning: no @return
[ERROR] public abstract ValueBinding getValueBinding(String name);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:366: warning: no @return
[ERROR] public ValueExpression getValueExpression(String name) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:516: warning: no @return
[ERROR] protected StateHelper getStateHelper() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:532: warning: no @return
[ERROR] protected StateHelper getStateHelper(boolean create) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:551: warning: no @return
[ERROR] public final TransientStateHelper getTransientStateHelper()
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:569: warning: no @return
[ERROR] public TransientStateHelper getTransientStateHelper(boolean create) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:617: error: unexpected end tag: </code>
[ERROR] * <code>false</code></code>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:621: warning: no @return
[ERROR] public boolean isInView() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:655: warning: no @return
[ERROR] public String getClientId() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:695: warning: no @return
[ERROR] public abstract String getClientId(FacesContext context);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:711: warning: no @param for context
[ERROR] public String getContainerClientId(FacesContext context) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:711: warning: no @return
[ERROR] public String getContainerClientId(FacesContext context) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:724: warning: no @return
[ERROR] public abstract String getFamily();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:730: warning: no @return
[ERROR] public abstract String getId();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:771: warning: no @return
[ERROR] public abstract UIComponent getParent();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:777: error: end tag missing: </span>
[ERROR] * <code>UIComponent</code> of this <code>UIComponent</code>.  <span
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:814: error: unexpected end tag: </span>
[ERROR] * <code>Map</code></strong></span>.</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:814: error: unexpected end tag: </p>
[ERROR] * <code>Map</code></strong></span>.</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:827: warning: no @return
[ERROR] public abstract boolean isRendered();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:844: warning: no @return
[ERROR] public abstract String getRendererType();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:869: warning: no @return
[ERROR] public abstract boolean getRendersChildren();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:909: warning: no @return
[ERROR] public Map<String,String> getResourceBundleMap() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:1229: warning: no @return
[ERROR] public abstract List<UIComponent> getChildren();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:1238: warning: no @return
[ERROR] public abstract int getChildCount();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:1334: error: end tag missing: </span>
[ERROR] * and passing this as the component argument.  <span
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:1469: warning: no @return
[ERROR] public abstract Map<String, UIComponent> getFacets();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:1485: warning: no @return
[ERROR] public int getFacetCount() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:1498: warning: no @return
[ERROR] public abstract UIComponent getFacet(String name);
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:1512: warning: no @return
[ERROR] public abstract Iterator<UIComponent> getFacetsAndChildren();
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:1651: error: bad use of '>'
[ERROR] * descendents will be visited></p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:1688: error: unexpected end tag: </li>
[ERROR] * second argument.</p></li>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:1759: error: unexpected end tag: </li>
[ERROR] * the value of the {@link #getRendersChildren} flag.</p></li>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:1816: error: malformed HTML
[ERROR] * <pclass="changed_added_2_0">This method and <code>popComponentFromEL()</code> form the basis for
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:1816: error: bad use of '>'
[ERROR] * <pclass="changed_added_2_0">This method and <code>popComponentFromEL()</code> form the basis for
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponent.java:1821: error: unexpected end tag: </p>
[ERROR] * needed in the javadoc for this class.</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UICommand.java:72: error: unexpected end tag: </p>
[ERROR] * </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIComponentBase.java:87: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIData.java:1350: error: bad use of '>'
[ERROR] * <p class="changed_modified_2_0_rev_a">>Call {@link
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIData.java:1783: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIData.java:1826: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIData.java:94: error: self-closing element not allowed
[ERROR] * property.</p> <p/> <p>Only children of type {@link UIColumn} should
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIData.java:95: error: self-closing element not allowed
[ERROR] * be processed by renderers associated with this component.</p> <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIForm.java:164: error: self-closing element not allowed
[ERROR] * instance.</p> <p/> <p>The value of a <code>UIForm</code>'s
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:292: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:294: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:296: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:298: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:300: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:509: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:794: error: text not allowed in <ul> element
[ERROR] * </ul></li>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:884: error: tag not allowed here: <p>
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:893: error: unexpected end tag: </code>
[ERROR] * value.</code></span></li>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:895: error: tag not allowed here: <p>
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:900: error: block element not allowed within inline element <span>: ul
[ERROR] * <ul>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:909: error: tag not allowed here: <p>
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:911: error: tag not allowed here: <p>
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:923: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:1015: error: unexpected end tag: </li>
[ERROR] * </li>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:1016: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:1018: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:1072: error: unexpected end tag: </p>
[ERROR] * to <code>false</code>.</p></li>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:1062: error: end tag missing: </ul>
[ERROR] * <ul>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:1083: error: unexpected end tag: </li>
[ERROR] * </li>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:1086: error: tag not allowed here: <li>
[ERROR] * <li class="changed_added_2_0"><p>Otherwise, if the
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:1112: error: tag not allowed here: <p>
[ERROR] * <p>If the above determination indicates that validation should
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:1091: error: end tag missing: </ul>
[ERROR] * <ul>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIInput.java:1121: error: unexpected end tag: </ul>
[ERROR] * </ul>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UISelectMany.java:76: error: invalid name for anchor: "#getConvertedValue"
[ERROR] * name="#getConvertedValue"><code>getConvertedValue()</code></a>:</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UISelectMany.java:80: error: tag not allowed here: <p>
[ERROR] * <p>Obtain the {@link javax.faces.convert.Converter} using the following algorithm:</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UISelectMany.java:82: error: tag not allowed here: <ul>
[ERROR] * <ul>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UISelectMany.java:84: error: tag not allowed here: <p>
[ERROR] * <p>If the component has an attached {@link javax.faces.convert.Converter}, use it.</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UISelectMany.java:86: error: tag not allowed here: <p>
[ERROR] * <p>If not, look for a {@link ValueExpression} for <code>value</code>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UISelectMany.java:90: error: tag not allowed here: <ul>
[ERROR] * <ul> <li><p>An array of primitives (such as <code>int[]</code>).
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UISelectMany.java:104: error: tag not allowed here: <p>
[ERROR] * <p>If for any reason a <code>Converter</code> cannot be found, assume
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UISelectMany.java:109: error: tag not allowed here: <p>
[ERROR] * <p>Use the selected {@link javax.faces.convert.Converter} (if any) to
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UISelectMany.java:117: error: tag not allowed here: <div>
[ERROR] * <div class="changed_added_2_0">
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UISelectMany.java:213: error: no summary or caption for table
[ERROR] * </table>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UISelectMany.java:227: error: tag not allowed here: <p>
[ERROR] * <p>Return <em>targetForConvertedValues</em> after populating it with
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:392: error: self-closing element not allowed
[ERROR] * {@link PhaseEvent}s for a given phase.</p> <p/> <p>The method
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:462: error: element not closed: div
[ERROR] * <div class="changed_added_2_0">
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:564: error: tag not allowed here: <ul>
[ERROR] * <ul>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:610: error: element not closed: div
[ERROR] * <div class="changed_added_2_0">
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:641: error: unexpected end tag: </p>
[ERROR] * </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:866: error: unknown attribute: title
[ERROR] * class="changed_deleted_2_0_rev_a" title="text removed in 2.0 Rev a: and that the this.visitTree is called, passing a ContextCallback that takes the following action: call the processEvent method of the current component. The argument event must be an instance of PostRestoreStateEvent whose component property is the current component in the traversal.">&nbsp;&nbsp;&nbsp;</a> </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:908: error: unexpected end tag: </p>
[ERROR] * </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:1147: error: unexpected end tag: </p>
[ERROR] * </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:1206: error: unexpected end tag: </p>
[ERROR] * </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:1317: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:1319: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:1473: error: element not closed: div
[ERROR] * <div class="changed_added_2_0">
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:1509: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:1510: error: unexpected end tag: </div>
[ERROR] * </div>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:1552: error: unexpected text
[ERROR] * @throws <code>NullPointerException</code> if <code>systemEventClass</code>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:1594: error: unexpected text
[ERROR] * @throws <code>NullPointerException</code> if
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:105: error: tag not allowed here: <p>
[ERROR] * <p>Initialize a state flag to <code>false</code>.</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:107: error: tag not allowed here: <p>
[ERROR] * <p>If {@link #getBeforePhaseListener} returns non-<code>null</code>,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:111: error: tag not allowed here: <p>
[ERROR] * <p>Upon return from the listener, call {@link
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:116: error: tag not allowed here: <p>
[ERROR] * <p>If or one or more listeners have been added by a call to {@link
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:122: error: tag not allowed here: <p>
[ERROR] * <p>Upon return from each listener, call {@link
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:128: error: tag not allowed here: <p>
[ERROR] * <p>Execute any processing for this phase if the internal state flag
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:131: error: tag not allowed here: <p>
[ERROR] * <p>If {@link #getAfterPhaseListener} returns non-<code>null</code>,
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:134: error: tag not allowed here: <p>
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:135: error: tag not allowed here: <p>
[ERROR] * <p>If or one or more listeners have been added by a call to {@link
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:140: error: tag not allowed here: <p>
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/UIViewRoot.java:141: error: tag not allowed here: <p>
[ERROR] * <p/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/behavior/AjaxBehavior.java:341: error: unexpected end tag: </p>
[ERROR] * </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/behavior/ClientBehaviorBase.java:119: error: element not closed: code
[ERROR] * <code>component<code> is <code>null</code>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/behavior/ClientBehaviorBase.java:119: error: element not closed: code
[ERROR] * <code>component<code> is <code>null</code>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/behavior/ClientBehavior.java:127: error: element not closed: code
[ERROR] * <code>component<code> is <code>null</code>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/behavior/ClientBehavior.java:127: error: element not closed: code
[ERROR] * <code>component<code> is <code>null</code>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/component/behavior/BehaviorBase.java:58: error: unexpected end tag: </p>
[ERROR] * </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/validator/BeanValidator.java:89: error: unexpected end tag: </p>
[ERROR] * </ul></p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/src/main/java/javax/faces/validator/DoubleRangeValidator.java:78: error: self-closing element not allowed
[ERROR] * <p/>
[ERROR] ^
[ERROR] 
[ERROR] Command line was: /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.121-0.b13.el7_3.x86_64/jre/../bin/javadoc @options @packages
[ERROR] 
[ERROR] Refer to the generated Javadoc files in '/builddir/build/BUILD/jboss-jsf-2.1-api-2.0.2.Final/target/site/apidocs' dir.
[ERROR] -> [Help 1]


Version-Release number of selected component (if applicable):
2.0.2-9.1.el7

Steps to Reproduce:
koji build --scratch epel7 jboss-jsf-2.1-api-2.0.2-9.1.el7.src.rpm

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/jboss-jsf-2.1-api


+ cd jboss-jsf-2.1-api-2.0.2.Final
+ mvn-rpmbuild install javadoc:aggregate
***************************************************************
* WARNING!  mvn-rpmbuild is deprecated and it will be removed *
* in future.  Users should migrate to using %mvn_build macro  *
* or call XMvn directly if greater flexibility is required.   *
***************************************************************

Comment 1 Michael Mráka 2017-05-11 06:19:23 UTC
commit f24b8b2261387d709e53f21f8b481932ddd8a077
    Fixed FTBFS in EPEL7 RHBZ#1428255
    rebased to f26 and disabled doclint

Comment 2 Fedora Update System 2017-05-11 06:21:26 UTC
jboss-jsf-2.1-api-2.0.2-13.1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-bc1b4971d7

Comment 3 Fedora Update System 2017-05-12 19:55:53 UTC
jboss-jsf-2.1-api-2.0.2-13.1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-bc1b4971d7

Comment 4 Fedora Update System 2017-05-30 16:54:10 UTC
jboss-jsf-2.1-api-2.0.2-13.1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.